
local gr = love.graphics

function love.load()
	width, height	= 400, 400
	gr.setMode( width, height )
	gr.setBackgroundColor( 0, 0, 20, 255 )
	gr.setCaption( 'Geometry' )
	wd, ht	= 200, 200
	canvas	= gr.newCanvas( wd, ht )
	gr.setCanvas( canvas )
		gr.setColor( 255, 255, 255 )
		gr.polygon( 'fill', 0, 0, 0, ht, wd, ht, wd, 0 )
		gr.setCanvas()
	vertices = {
		{200,  0,100,  0,	255,  0,  0,255},
		{  0,  0,  0,  0,	  0,255,  0,255},
		{100,200,  0,100,	  0,  0,255,255}}
	flip		= {{true,true},{false,true},{false,false},{true,false}}
	click		= 0
	flipit		= 1
	geometry	= gr.newGeometry( vertices )
	geometry:setVertexColors( true )
	end

function love.draw()
	gr.drawq(canvas,geometry,200,200,0,1,1,wd/2,ht/2)
	end

function love.update( dt  )
	click = click + dt
	if click > 1 then
		flipit	= flipit < #flip and flipit + 1 or 1
		click	= 0
		geometry:flip( flip[flipit][1], flip[flipit][2] )
		end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end





